version: 25.7.3
files:
  - url: Trezor-Suite-25.7.3-linux-x86_64.AppImage
    sha512: M9X/SICUJYbnTcU7VUJ576+WlxrumuZ1Cm/JcvFdqGw+WEVQiwis3HvGNTLaGWpb2GRz5Zrsh73afZZszLv4oQ==
    size: 183821489
    blockMapSize: 193733
path: Trezor-Suite-25.7.3-linux-x86_64.AppImage
sha512: M9X/SICUJYbnTcU7VUJ576+WlxrumuZ1Cm/JcvFdqGw+WEVQiwis3HvGNTLaGWpb2GRz5Zrsh73afZZszLv4oQ==
releaseNotes: "### 🚀 New features\n\n- Stellar (XLM) support\_is now available to all users, moving from experimental to fully integrated and accessible via the Coins menu.\n- Solana address validation\_has been introduced, warning users when sending to system-derived token or staking addresses for added clarity and security.\n\n### 🎨 Improvements\n\n- The\_passphrase wallet flow\_has been refined with clearer guidance when opening existing wallets or creating new ones, improving user confidence and understanding.\n- Account discovery speed\_has been boosted by up to 50%, offering a noticeably faster and more responsive experience.\n- Transaction history navigation\_has been improved with smoother pagination, making it easier to browse past transactions.\n- The\_trading interface\_has been polished with updated modal headers and a restructured swap flow that moves DEX approvals to the start for better usability.\n- Fee rate updates\_now occur every minute, ensuring more accurate estimates when sending transactions.\n- WalletConnect transaction previews\_are now shown before confirmation, adding transparency to EVM-based transactions.\n- EIP-712 messages\_and 1inch Fusion swap details have been made easier to read, enhancing clarity during the signing process.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n- Fixed an issue where a passphrase prompt appeared during token swaps."
releaseDate: '2025-07-17T14:22:43.806Z'
stagingPercentage: 20
